@import url('https://fonts.googleapis.com/css2?family=Sen&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Qahiri&display=swap');

* {
	padding: 0;
	margin: 0;
	font-family: 'Sen', sans-serif;
}

#root {
	width: 100vw;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-image: url('../asset/background.jpeg');
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}

.popup {
	position: absolute;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 250px;
	height: 280px;
	border-radius: 3px;
	background-color: rgba(#ffffff, 0.9);
	font-size: 1.3rem;

	.form {
		display: flex;
		flex-direction: column;
		align-items: center;

		label,
		select {
			width: max-content;
			margin-top: 15px;
		}
	}
}

.button {
	padding: 5px 10px;
	margin-top: 40px;
	width: max-content;
	background-color: #00965f;
	color: #ffffff;
	border: 2px solid #00965f;
	border-radius: 3px;
	cursor: pointer;
	transition: 300ms;

	&:hover {
		background-color: #ffffff;
		color: #00965f;
	}
}

.score-interface {
	width: 300px;
	height: 69px;
	background-image: url('../asset/environment-sign.png');
	background-size: contain;
	background-repeat: repeat-y;
	background-position: center;

	.score-value {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 100%;
		height: 50px;
		border: 2px solid #ffffff;
		border-radius: 3px;
		background-color: #23a34d;

		p {
			width: 97%;
			border-radius: 3px;
			background-color: #000000;
			text-align: center;
			color: #ffffff;
			font-size: 2rem;
			font-family: 'Qahiri', sans-serif;
		}
	}
}

.board {
	border-radius: 3px;
	background-image: url('../asset/environment-road.jpg');

	.lane {
		border-right: 2.5px solid #ffffff;
	}

	.lane-2 {
		border-right: none;
	}

	.player,
	.vehicle {
		transition: 100ms;
	}

	.taxi,
	.car,
	.truck,
	.police {
		background-position: center;
		background-size: contain;
		background-repeat: no-repeat;

		&.computer {
			transform: rotate(180deg);
		}
	}

	.taxi {
		background-image: url('../asset/vehicle-taxi.png');
	}

	.car {
		background-image: url('../asset/vehicle-car.png');
	}

	.truck {
		background-image: url('../asset/vehicle-truck.png');
	}

	.police {
		background-image: url('../asset/vehicle-police.png');
	}
}